import { useContext, useRef } from "react";
import { SchemaExpressionScopeContext, SchemaOptionsContext } from "@tachybase/schema";
const useFieldProps = (schema)=>{
    const options = useContext(SchemaOptionsContext);
    const scope = useContext(SchemaExpressionScopeContext);
    const scopeRef = useRef();
    scopeRef.current = scope;
    return schema.toFieldProps({
        ...options,
        get scope () {
            return {
                ...options.scope,
                ...scopeRef.current
            };
        }
    });
};
export { useFieldProps };
